{% extends "layout.html" %}

{% block title %}Recommendation system{% endblock %}
{% set custom_color = "128,0,128" %}
{% block bg_color %}rgba(128,0,128, .1){% endblock %}
{% block content %}
<div class="container mt-3">
    <!-- Title -->
    <div class="row justify-content-center mb-5">
        <div class="col text-center">
            <h1 class="mb-0">Recommendation System</h1>
        </div>
    </div>

    <!-- Recsys Classification Form -->
    <div class=" row container w-100 justify-content-between">
        
        <div class="col-6">
            <div class="img" style="width: 600px; height: 350px; overflow: hidden;">
                <img src="../static/bg_fit.jpg" style="width: 100%; height: 100%; object-fit:fill;"/>
            </div>
        </div>
        <div class="col-md-6 col-lg-5 mb-4">
            <div class="card shadow-custom rounded-4">
                <div class="card-body">
                    <form action="{{ url_for('get_recomendation') }}" method="POST">
                        <div class="mb-3">
                            <label for="inputText" class="form-label">Please let me know how you feel right now:</label>
                            <input type="text" class="form-control" id="inputText" name="emotion" placeholder="Type here..." {% if input %} value={{input}} {% endif %}required>
                        </div>
                        <button type="submit" class="btn btn-primary btn-purple w-100">Recommend activity</button>
                        {% if rec['recomendation'] != None %}
                        <div class="alert alert-info mt-4">
                            <strong>Recommendation:</strong> {{ rec['recomendation'] }}
                        <br/>
                        <br/>
                            <strong>Description:</strong> {{ rec['description'] }}
                        </div>
                        {% endif %}
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
